Bug 437538 - yum reinstall gives misleading error message with underspecifed package name
yum reinstall gives misleading error message with underspecifed package name
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-14 15:24 EDT by Bruno Wolff III
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-17 14:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-03-14 15:24:05 EDT
Description of problem:
When using "yum reinstall kernel" with more than one kernel installed, the error
message is "Error: No package(s) available to install" which is misleading.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make sure you have two kernel packages installed
2. yum reinstall kernel
Actual results:
Message saying no packages available.

Expected results:
Message indicating that package specification is ambiguous or possibly
reinstalling all of the possible packages.

Additional info:
Comment 1 Seth Vidal 2008-03-14 17:13:08 EDT
at this point I'm inclined to add in code to yum that says:

 if isAllowedMultipleInstalls(pkg):
     print "don't reinstall these, doom, doom, doom"

in the case of a kernel why are you reinstalling it?
why not just remove then install. And if the kernel is running well that's just
a world of a bad idea.

Comment 2 Bruno Wolff III 2008-03-15 21:06:05 EDT
The reason I am repeatedly reinstalling the kernel is that I am trying to track
down some mkinitrd bugs. Doing a reinstall is a simple way to regenerate the
initrd image using the currently installed version of mkinitrd.
I think it is fine to not do the reinstall if there are multiple packages, it
just would be nice if the error message said that is what is going on as the
current message is confusing.
Comment 3 Bruno Wolff III 2008-03-17 12:28:43 EDT
One of note on this is things work this way even if there is only one installed
kernel that matches one in the repository. For some of my tests I had two
kernels installed, where only one of the two was in the repository.
Comment 4 Seth Vidal 2008-03-17 14:25:51 EDT
okay, I've added a patch to yum to make it tell you 'no' if you try to reinstall
a package like the kernel. It's possible at some point in the future we may
allow this but for now, no.

Note You need to log in before you can comment on or make changes to this bug.